Bug 1118959 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000040
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000040
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9489b1ab2e0d192a9985123e00c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 09:56 UTC by steven.woods3
Modified: 2014-11-15 15:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-15 15:10:21 UTC


Attachments (Terms of Use)
File: dmesg (79.05 KB, text/plain)
2014-07-12 09:56 UTC, steven.woods3
no flags Details

Description steven.woods3 2014-07-12 09:56:25 UTC
Additional info:
reporter:       libreport-2.2.2
BUG: unable to handle kernel NULL pointer dereference at 0000000000000040
IP: [<ffffffff81511c65>] xhci_alloc_streams+0x155/0x780
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: fuse ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep coretemp kvm_intel arc4 kvm snd_hda_codec_realtek ath9k snd_hda_codec_generic snd_hda_codec_hdmi ath9k_common ath9k_hw snd_hda_intel ath mac80211 cfg80211 uvcvideo videobuf2_vmalloc snd_hda_controller snd_hda_codec crc32c_intel videobuf2_memops videobuf2_core videodev snd_hwdep iTCO_wdt snd_seq ses i7core_edac iTCO_vendor_support snd_seq_device edac_core media enclosure mei_me lpc_ich mei mfd_core snd_pcm
microcode i2c_i801 btusb joydev bluetooth snd_timer snd serio_raw soundcore asus_laptop sparse_keymap video rfkill input_polldev shpchp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc radeon i2c_algo_bit drm_kms_helper ttm drm atl1c i2c_core uas usb_storage
CPU: 0 PID: 288 Comm: scsi_eh_6 Not tainted 3.15.4-200.fc20.x86_64 #1
Hardware name: ASUSTeK Computer Inc.         N61Jq/N61Jq, BIOS N61Jq.212 08/17/2010
task: ffff88013874e2c0 ti: ffff8801382a8000 task.ti: ffff8801382a8000
RIP: 0010:[<ffffffff81511c65>]  [<ffffffff81511c65>] xhci_alloc_streams+0x155/0x780
RSP: 0018:ffff8801382abbf8  EFLAGS: 00010046
RAX: 0000000000000000 RBX: ffff8800b6796000 RCX: 0000000000000005
RDX: 0000000000000040 RSI: ffff880138758800 RDI: ffff88003645fc90
RBP: ffff8801382abc78 R08: 0000000000000001 R09: ffffffff81888110
R10: ffffffff81516853 R11: ffff88003645fc48 R12: ffff8801382abcb8
R13: 0000000000000000 R14: 0000000000000000 R15: ffff88003645fc90
FS:  0000000000000000(0000) GS:ffff88013fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000040 CR3: 0000000001c11000 CR4: 00000000000007f0
Stack:
ffff8801382abc30 ffff880138168000 0000000000000286 ffff8800b6796048
ffff880073bdd780 ffff8801382abcb8 0000000000000010 ffff880100000000
ffff880138758800 0000000000000101 00000003395fb400 0000000000000003
Call Trace:
[<ffffffff81511b10>] ? xhci_endpoint_reset+0x1a0/0x1a0
[<ffffffff814dac02>] usb_alloc_streams+0xb2/0x110
[<ffffffffa001bc78>] uas_configure_endpoints+0x158/0x180 [uas]
[<ffffffffa001bcdc>] uas_post_reset+0x3c/0xc0 [uas]
[<ffffffff814d8286>] usb_reset_device+0x126/0x1c0
[<ffffffffa001c165>] uas_eh_bus_reset_handler+0xa5/0x160 [uas]
[<ffffffff81480f83>] scsi_try_bus_reset+0x43/0x100
[<ffffffff81482e09>] scsi_eh_ready_devs+0x789/0xc20
[<ffffffff8148478c>] scsi_error_handler+0x52c/0x820
[<ffffffff81484260>] ? scsi_eh_get_sense+0x2a0/0x2a0
[<ffffffff810ac538>] kthread+0xd8/0xf0
[<ffffffff810ac460>] ? insert_kthread_work+0x40/0x40
[<ffffffff816ff23c>] ret_from_fork+0x7c/0xb0
[<ffffffff810ac460>] ? insert_kthread_work+0x40/0x40
Code: 89 c2 48 c1 e0 08 48 c1 e2 05 48 29 d0 4a 03 84 f3 10 01 00 00 44 8b 70 40 41 83 e6 18 0f 85 9b 04 00 00 48 8b 40 28 48 8d 50 40 <48> 39 50 40 0f 85 01 01 00 00 49 8b 3c 24 48 83 ff f7 74 17 0f 
RIP  [<ffffffff81511c65>] xhci_alloc_streams+0x155/0x780

Comment 1 steven.woods3 2014-07-12 09:56:31 UTC
Created attachment 917505 [details]
File: dmesg

Comment 2 steven.woods3 2014-07-13 08:57:27 UTC
Hi the laptop
Asus N61J series. Intel i7, 4gig RAM, win 7 runs on internal HDD, F20 with Cinnamon x64 installed on western digital 1TB USB3 hdd, plugged into a USB2 port as the usb3 on this nearly 5yr old laptop is non bootable.
Hope this helps
Regards
Steven

Comment 3 steven.woods3 2014-07-13 08:59:02 UTC
Hi the laptop
Asus N61J series. Intel i7, 4gig RAM, win 7 runs on internal HDD, F20 with Cinnamon x64 installed on western digital 1TB USB3 hdd, plugged into a USB2 port as the usb3 on this nearly 5yr old laptop is non bootable.
Hope this helps
Regards
Steven

Comment 4 Justin M. Forbes 2014-11-13 16:00:49 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 5 steven.woods3 2014-11-14 02:23:02 UTC
Hi
I've moved to F21 Beta with the latest updates.
regards
Steven

Comment 6 Josh Boyer 2014-11-14 12:27:00 UTC
Do you see the issue on F21?

Comment 7 steven.woods3 2014-11-15 03:10:58 UTC
No, the problem has not happened in F21.

tks
Steven

Comment 8 steven.woods3 2014-11-15 03:46:05 UTC
Hi Kevin

Thanks for your kind assistance.  I'm still running F21 beta with updates, 
but I have added Cinnamon and Gnome to xfce to try them again. This is the 
first time I have tried xfce.

The Truefire swf program just does not work with Linux, but works perfectly 
with Win 7 and my Mac 10.6.8 at work.  (Truefire.com is feeling the customer 
pressure, especially since many musicians are wanting to play swf/flash lessons 
on their iPad)

The .swf file will not play using Adobe Flash in Firefox, gnash, Lightspark, 
VLC, Mplayer, xine, Parole media player or Midori. 

It will play if I open the Windows exe version in Wine.

Interestingly swf test files I downloaded off the internet do play with gnash
and Lightspark.

tks
Steven


Note You need to log in before you can comment on or make changes to this bug.